import { ConfigurableTestObject } from "./configurable-test-object";
import type { TestObjectData, TestFunction, TestFunctionCtx } from "./types";
type TestOpts = TestObjectData & Pick<ConfigurableTestObject, "file" | "id"> & {
    fn: TestFunction<TestFunctionCtx>;
};
export declare class Test extends ConfigurableTestObject {
    fn: TestFunction<TestFunctionCtx>;
    static create<T extends Test>(this: new (opts: TestOpts) => T, opts: TestOpts): T;
    constructor({ title, file, id, fn }: TestOpts);
    clone(): Test;
}
export {};
